Subject: Re: booting MPC8313 based board with yaffs2 RFS

From: tonyliu <[email-masked]>
Date: Fri, 17 Jul 2009 10:07:27 +0800

Rupesh Kumar wrote:
> Hi
> I am using MPC8313 board which is currently booting with JFFS2 root file 
> system. 
> I am using linux kernel version 2.6.23 from FreeScale's LTIB for MPC8313. 
>
> As, I want it to boot with YAFFS2 root file system, I did compile kernel 
> with yaffs2 support, craeted yaffs2 rootfile system and passed yaffs2 
> partiton of nand in bootargs. However it didnot work.
>
>
> If any one has done it successfully, can please share the steps to be 
> followed ?
>   
More detailed info maybe helpful for debugging this issue.

1. What nand flash is on-board? what's the size of the nand flash page 
size, 512/2048?
2. what's the version of mkyaffs2image you are using?
3. Can you mount an empty nand flash partition using yaffs2 type,
mount  /dev/mtdblock##x   xxx
4. It's better to attatch bootup message.

Tony
> Thanks
> Rupesh
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
>
>